#include "../include/rserrno.h"
//#include <errno.h>
#include <string.h>
#include <stdio.h>

//extern int errno;

const char* rs_geterror(int errnum) {
//	int errnum = errno;
	if( errnum < ERSBASE ) return strerror(errnum);
	switch(errnum) {
		case	ERSNODEVICE		: return "No device mcua0";
		case	ERSNOPORT		: return "No port";
		case	ERSNOINTERFACE	: return "No rs485 interface";
		case	ERSNODRIVER		: return "No rs485 driver";
		case	ERSBUSY			: return "RS485 device is busy";
		case	ERSFORMAT		: return "RS485 invalid I/O format";
		case	ERSSHUTDOWN		: return "MASS is off or disconnected";
//		case	ERSNOMODREPLY	: return "No reply from module";
		case	ERSISATMOUT		: return "RS485 ISA time out";
		case	ERSNOCONVREPLY	: return "No reply from rs485 converter";
		case	ERSTRANSMIT		: return "RS485 transmit error";
		case	ERSFRAME		: return "RS485 frame error";
//		case	ERSCOL			: return "RS485 collision";
		case	ERSFIFOVERFLOW	: return "RS485 FIFO overflow";
		case	ERSNOIOCTL		: return "RS485: no such ioctl command";
		default 				: return "Unknown rs485 error";
	}
};
